import '../icon/icon';
import SolidElement from '../../internal/solid-element';
export default class SdCheckboxGroup extends SolidElement {
    private readonly hasSlotController;
    size: 'lg' | 'md' | 'sm';
    orientation: 'horizontal' | 'vertical';
    label: string;
    helpText: string;
    private getAllCheckboxes;
    private syncCheckboxElements;
    private syncCheckboxes;
    handleSizeChange(): void;
    handleInvalid(): void;
    render(): import("lit").TemplateResult<1>;
    static styles: import("lit").CSSResult[];
}
declare global {
    interface HTMLElementTagNameMap {
        'sd-checkbox-group': SdCheckboxGroup;
    }
}
